Subject: [mpls] 회신: doubt about RFC6378.

From: "Ryoo, Jeong-dong" <[email-masked]>
Date: Mon, 21 Jan 2013 08:12:45 +0000

Dear Junbo and the authors of PSC RFC,

In my opinion, the glitch in Figure 4 in the previous Junbo's email can be the one we have to bear with the single-phase protocol, whose traffic can be disrupted upto RTT (round trip time).

If the operations described in Figure 5 should be required, then the PSC RFC needs to be amended in two points:
1. the reevaluation with the last received PSC message when local node tries to enter Normal state (currently, the PSC RFC describes the reevaluation is performed via checking the persistent state of the local triggers. See the first sentence of the second paragraph in Section 4.3.3.1.), and
2. transmitting MS(1,1) instead of NR(0,1) in the first sentence in page 28 of the PSC RFC.

Another solution (better solution in my opinion) to aviod the glitch in Figure 4 might be overruling and forgetting any existing lower priority local commands when a higher priority remote request arrives.

Best regards,

Jeong-dong

________________________________
보낸 사람 : "曾峻波" <[email-masked]>
보낸 날짜 : 2013-01-18 10:29:58 ( +09:00 )
받는 사람 : [email-masked] <[email-masked]>
참조 :
제목 : [mpls] doubt about RFC6378.

(hi,eric and yaacov,i don't know why i can't reply the topic that we discussed before---" in some scenario RFC6378 can not protect the traffic, so much as take the PSC state to crash". and i have to create a new topic to continue the discussion.the latest discussion records is here
http://www.ietf.org/mail-archive/web/mpls/current/msg09367.html
the following is my latest reply,and if figures can not be displayed normally, please see the attach file.)

yes,it will fix some bugs in PSC,compare the following 2 figures.
in figure4.when LER1 receive peer's FS PSC msg,according to RFC6378,LER1 will send NR to LER2,and when clear command input into LER2,LER2 will transfer into NORMAL state and switch traffic to work path,but LER1's traffic still on protection path. so traffic is broken.when the NR reach LER1,LER1 reevaluate all inputs and transfer info PA:M:L,keep traffic on protection and send MS to LER2.when MS reach LER2,the traffic is restored.

in figure5,LER1 will still send his local highest priority condition (in this example,it is MS) to peer when receive FS from LER2.and when clear command input into LER2,LER2 will transfer info PA:M:R and keep traffic on protection path and never be broken.

i think simple is beautiful.

                          +------+                         +------+
                          | LER1 |                         | LER2 |
                          +---+--+                         +---+--+
                         N    +----------NR------------------->|  N
                              |                                |
                              |                                |
                              |<---------NR--------------------+
       local MS command input |                                |
                              |                                |
                     PA:M:L   +-----------MS------------------>|  PA:M:R
                              |                                |
                              |                                |
                              |<---------NR--------------------+
                              |                                |  local FS command input
                              |                                |
                       PA:F:R |<---------FS--------------------+ PA:F:L
                              |                                |
                              |                                |
                              +-------NR---------------------->|
                              |                                |
                              |                                |
                              |                                | local clear input,transfer info
                              |<---------NR--------------------+ N, switch traffic to work path.
                              |                                |  traffic is broken
                              |                                |
                              |                                |
   reevaluate all input and   |                                |
   transfer info   PA:M:L     +----------MS------------------->|PA:M_R
 keep traffic on protection   |                                |LER2 will switch traffic to
       path                   |                                |protection path,traffic is restored.
                              |                                |
                              |<-----------NR------------------+
                              |                                |
                              |                                |

            figure 4:send NR to reaction when peer is higher priority will make traffic broken accidentally

                          +------+                         +------+
                          | LER1 |                         | LER2 |
                          +---+--+                         +---+--+
                         N    +----------NR------------------->|  N
                              |                                |
                              |                                |
                              |<---------NR--------------------+
       local MS command input |                                |
                              |                                |
                     PA:M:L   +-----------MS------------------>|  PA:M:R
                              |                                |
                              |                                |
                              |<---------NR--------------------+
                              |                                |  local FS command input
                              |                                |
                       PA:F:R |<---------FS--------------------+ PA:F:L
                              |                                |
                              |                                |
                              +-------MS---------------------->|
                              |                                |
                              |                                |
                              |                                | local clear input,reevaluate all input
                              |<---------NR--------------------+ transfer info PA:M:R keep traffic on
                              |                                |  protection path.
                              |                                |
   reevaluate all input and   |                                |
   transfer info  PA:M:L      +----------MS------------------->|PA:M_R
 keep traffic on protection   |                                |
       path                   |                                |
                              |                                |
                              |<-----------NR------------------+
                              |                                |
                              |                                |

            figure 5:always send local highest priority condition to peer,will never broken traffic accidentally

Best Regards!

Junbo Zeng(BoBo)